Workflows
For authentication instructions, see API overview.
Endpoints
get
Retrieve workflows sequence
Returns a single workflows sequenc, which you can request by passing through an id in the url.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/workflows/sequence-activationResponse
No response schemaget
Retrieve workflows manual sequence
Returns a single workflows manual sequenc, which you can request by passing through an id in the url.
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/workflows/manual-sequence-activationResponse
No response schemapost
Create workflows execute manual
Create workflows execute manual. You need to pass through any required fields, and you can optionally pass through other fields.
Path parameters
sequenceidstringID of the sequence
stepidstringID of the step
Request
cURL
export ICLOUDREADY_API_KEY=[your api key]curl -X POST -H 'Content-Type: application/json' \ -H "Authorization: Bearer $ICLOUDREADY_API_KEY" \ https://api.icloud-ready.com/api/v2/workflows/executeManualStep/:sequenceid/step/:stepid